#include <bits/stdc++.h>
using namespace std;
int n,k,p[20005],x;
int main() {

    cin >> n >> k;
    for(int i=1; i<=n; i++) {
        cin >> p[i];
        if(p[i]==k) x=i;
    }
///    p[n+1]=1e6;
    if(n==2) {
        if(k==p[1]) {
            cout << p[2] << endl;
        }
        else if(k==p[2]) {
            cout << p[1] << endl;
        }
    }
    if(n>2) {
        if(k==p[n]) {
            cout << p[1] << endl;
        }
        else{
            cout << p[x+1] << endl;

        }
    }


    return 0;
}